KDE 4.2 PyKDE API Reference

- KDE's Python API

# LocalSocketClient Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject,Soprano::Error::ErrorCache
Namespace: Soprano::Client

## Detailed Description

\class LocalSocketClient localsocketclient.h Soprano/Client/LocalSocketClient

Creates a connection to the %Soprano server through a local socket interface.

The %Soprano server supports more than one way of communication. Beside D-Bus (see DBusClient) it can be contacted via a local socket.

Models creates by this client are thread-safe and provide faster access to the server than D-Bus communication.

Warning:
  The LocalSocketClient does not support signals. Thus, the models created by it will not emit signals such as Model.statementAdded.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  2.1

## Methods

| __init__ (self, QObject parent=0)
bool | connect (self, QString name=QString())
Soprano.Model | createModel (self, QString name, [Soprano.BackendSetting] settings=QList<Soprano.BackendSetting>())
| disconnect (self)
bool | isConnected (self)
| removeModel (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Create a new Client instance.

bool connect | ( | self, |
|  | QString | name=QString()
| ) |  |  |

Tries to connect to the %Soprano server.

Returns:
  true on success, false if an error occured. Check lastError() for details.

Soprano.Model createModel | ( | self, |
|  | QString | name,
|  | [Soprano.BackendSetting] | settings=QList<Soprano.BackendSetting>()
| ) |  |  |

Creates a new Model instance that wraps a server model. %Client models are very light wrappers and creating them is very fast.

Parameters:

  | name | The name of the model to access.

Parameters:

  | settings | The settings to send to the server for creating a new model. These settings may be ignored by the server if a model with that name has already been created.

Returns:
  A new Model instance wrapping the requested server model or 0 on error (check lastError() for details.)

disconnect | ( |  | self ) |

Disconnect from the server. The created model instances are not deleted but remain useless; open iterators are closed.

bool isConnected | ( |  | self ) |

Check if the client is connected to a server.

Returns:
  true if this client is connected to a server, false otherwise.

removeModel | ( | self, |
|  | QString | name
| ) |  |  |

Deletes a model including all its data.

Parameters:

  | name | The name of the model to remove.

Warning:
  Calling this method will remove all data physically. It can not be reverted. Use with care.